Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159178 - 7.1 Packages moved to extras is incomplete
Summary: 7.1 Packages moved to extras is incomplete
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: release-notes
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Release Notes Tracker
QA Contact: Tammy Fox
URL: http://fedoraproject.org/wiki/DocsPro...
Whiteboard:
Depends On:
Blocks: fc-relnotes-traqr
TreeView+ depends on / blocked
 
Reported: 2005-05-31 01:29 UTC by Bill Nottingham
Modified: 2014-03-17 02:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-23 05:56:54 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-05-31 01:29:36 UTC
Description of problem, bug, incorrect information, or enhancement request:

Off the top of my head, also:
- Maelstrom
- libtabe
- recode
- SDL_image
- SDL_mixer
- SDL_net
- xboard
- gnuchess
- balsa

A better rundown of this needs done.


Version of release notes this bug refers to:

Fedora Core 4 final release

Comment 1 Karsten Wade 2005-06-01 00:03:47 UTC
Short term I will add these packages to the list.

I was not happy with the lists I did during testing, they were treediffs between
FC3-HEAD and FC4, and were entirely without context.  Rahul asked me to repeat
that for the release, but I don't know if it is useful or harmful to include.  I
 punted by taking the list that Rahul knew.

If it seems worthwhile still, I can include the list of packages that were in
FC3 but are not in FC4.  That doesn't say where they went to, if they got
renamed, etc.  Like I said, of dubious value.

Unfortunately there isn't a good method or process for capturing these changes.

I've had multiple discussions about this recently.  So far, the best option
seems to be something like this:

A. We need to help define what is worth release noting about a package change,
such as a rename, move to Extras, move to Core, etc.

B. When a package is changed:
  1. Developer could put a brief explanation as to what, why, where, etc. plus a
keyword such as RELNOTES in the commit log.
  2. That keyword triggers a message to relnotes@/mailing list/automatic
bugzilla entry (long shot idea).  Something so it doesn't get lost.
  3. Once a release we rally around the RELNOTES captures and make up a list,
then get it vetted during the testing notes.
  4. If a developer has a story to tell that is too long for the commit log, an
email can be sent to relnotes@/mailing list

Right now we just have relnotes@fedoraproject.org, which is the owner of these
bugs.  We -might- want to make that a full mailing list such as
fedora-release-notes-list that can then be a bug owner, receiver of developer
tales, and discussion forum.



Comment 2 Karsten Wade 2006-09-23 05:56:54 UTC
Fixed previously, closing old bug.


Note You need to log in before you can comment on or make changes to this bug.